Bug 134660 - CAN-2004-0884 privilege escalation
CAN-2004-0884 privilege escalation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cyrus-sasl (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-05 10:32 EDT by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.1.18-2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-08 15:35:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-10-05 10:32:02 EDT
Gentoo has reported this issue via vendor-sec on 2004-10-05

Libsasl honors the environment variable SASL_PATH blindly, allowing a
local user to compile a "library" locally that is executed with the
EID of SASL when anything calls libsasl.
Comment 1 Josh Bressers 2004-10-05 10:42:50 EDT
I've uploaded the upstream patch as attachment 104781 [details]
Comment 2 Mark J. Cox (Product Security) 2004-10-07 09:44:17 EDT
removing embargo
Comment 3 Tomasz Ostrowski 2004-10-11 06:58:40 EDT
Gentoo in the same advisory that corrected CAN-2004-0884
http://www.gentoo.org/security/en/glsa/glsa-200410-05.xml
mentioned also a buffer overflow:
"Cyrus-SASL contains a remote buffer overflow in the digestmda5.c file."

Does this overflow affect FC? I can not find what it was.
Comment 4 Mark J. Cox (Product Security) 2004-10-11 07:03:32 EDT
Looks like it's fixed in 2.1.19:
http://asg.web.cmu.edu/archive/message.php?mailbox=archive.cyrus-sasl&msg=6078

Note You need to log in before you can comment on or make changes to this bug.